gnutls_x509_trust_list_remove_cas(3)

NAME
gnutls_x509_trust_list_remove_cas - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_remove_cas(gnutls_x509_trust_list_t list, const gnutls_x509_crt_t * clist, unsigned clist_size);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

const gnutls_x509_crt_t * clist
    A list of CAs

unsigned clist_size
    The length of the CA list

DESCRIPTION
This function will remove the given certificate authorities from the trusted list. Note that this function can accept certificates and authorities not yet known. In that case they will be kept in a separate black list that will be used during certificate verification. Unlike gnutls_x509_trust_list_add_cas() there is no deinitialization restriction for certificate list provided in this function.

RETURNS
The number of removed elements is returned.

SINCE
3.1.10

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/